## ros-kinetic-homer-navigation 0.1.53

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(homer_navigation)
set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")

find_package(catkin REQUIRED COMPONENTS
  roscpp
  roslib
  nav_msgs
  sensor_msgs
  homer_mapnav_msgs
  homer_nav_libs
  tf
  cmake_modules
  homer_ptu_msgs
  actionlib
  homer_robbie_architecture
  trajectory_msgs
  homer_tts
)

find_package(Eigen3 REQUIRED)

# eigen 3.2 (wily) only provdies EIGEN3_INCLUDE_DIR, not EIGEN3_INCLUDE_DIRS
if(NOT EIGEN3_INCLUDE_DIRS)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()

set(CMAKE_BUILD_TYPE Release)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS
  	roscpp
	roslib
	nav_msgs
	sensor_msgs
	homer_mapnav_msgs
	homer_nav_libs
  	trajectory_msgs
	tf
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
)

add_executable(homer_navigation src/homer_navigation_node.cpp)
add_dependencies(homer_navigation ${catkin_EXPORTED_TARGETS})

target_link_libraries(homer_navigation
   ${catkin_LIBRARIES}
   ${EIGEN3_LIBRARIES}
 )

add_executable(drive_to src/drive_to_node.cpp)
add_dependencies(drive_to ${catkin_EXPORTED_TARGETS})
target_link_libraries(drive_to ${catkin_LIBRARIES})

install(DIRECTORY include/${PROJECT_NAME}/
	DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(TARGETS homer_navigation drive_to
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(PROGRAMS
	nodes/detect_obstacle.py
	DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch/
	  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(DIRECTORY config/
	  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

=== debian/changelog ===
ros-kinetic-homer-navigation (0.1.53-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 17 Jan 2019 15:59:18 -0000

ros-kinetic-homer-navigation (0.1.41-0xenial) xenial; urgency=high

  * tarjectory msgs
  * Contributors: Raphael Memmesheimer

 -- Florian Polster <fpolster@uni-koblenz.de>  Tue, 10 Apr 2018 22:00:00 -0000

ros-kinetic-homer-navigation (0.1.40-0xenial) xenial; urgency=high

  * drive to torso position
  * Contributors: Raphael Memmesheimer

 -- Florian Polster <fpolster@uni-koblenz.de>  Tue, 10 Apr 2018 22:00:00 -0000

ros-kinetic-homer-navigation (0.1.39-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Mon, 13 Nov 2017 23:00:00 -0000

ros-kinetic-homer-navigation (0.1.38-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Sun, 12 Nov 2017 23:00:00 -0000

ros-kinetic-homer-navigation (0.1.37-0xenial) xenial; urgency=high

  * Merge branch 'master' of gitlab.uni-koblenz.de:robbie/homer_mapping
  * Contributors: Raphael Memmesheimer

 -- Florian Polster <fpolster@uni-koblenz.de>  Tue, 07 Nov 2017 23:00:00 -0000

ros-kinetic-homer-navigation (0.1.21-0xenial) xenial; urgency=high

  * autoformat
  * Contributors: Niklas Yann Wettengel

 -- Florian Polster <fpolster@uni-koblenz.de>  Mon, 20 Mar 2017 23:00:00 -0000

ros-kinetic-homer-navigation (0.1.19-0xenial) xenial; urgency=high

  * maskMap disabled because not functional at the moment
  * no seperate laserCallback
  * give position information of obstacle in target unreachable message
  * Contributors: Florian Polster, Lisa

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 01 Mar 2017 23:00:00 -0000

ros-kinetic-homer-navigation (0.1.18-0xenial) xenial; urgency=high

  * reworked ignore laser and obstacle position feedback
  * Contributors: Lisa

 -- Florian Polster <fpolster@uni-koblenz.de>  Mon, 27 Feb 2017 23:00:00 -0000

ros-kinetic-homer-navigation (0.1.17-0xenial) xenial; urgency=high

  * Eigen3 INCLUDE_DIR fix
  * Contributors: Niklas Yann Wettengel

 -- Florian Polster <fpolster@uni-koblenz.de>  Sat, 25 Feb 2017 23:00:00 -0000

ros-kinetic-homer-navigation (0.1.16-0xenial) xenial; urgency=high

  * changed maintainer
  * Contributors: Raphael Memmesheimer

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 22 Feb 2017 23:00:00 -0000

ros-kinetic-homer-navigation (0.1.15-0xenial) xenial; urgency=high

  * map_manager without laser scans
  * Contributors: Lisa

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 15 Feb 2017 23:00:00 -0000

ros-kinetic-homer-navigation (0.1.14-0xenial) xenial; urgency=high

  * changed check path and waypoint angle speed
  * Contributors: Lisa

 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 09 Feb 2017 23:00:00 -0000

ros-kinetic-homer-navigation (0.1.13-0xenial) xenial; urgency=high

  * best changelog ever
  * Contributors: Florian Polster

 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 09 Feb 2017 23:00:00 -0000

ros-kinetic-homer-navigation (0.1.12-0xenial) xenial; urgency=high

  * c++11
  * laser scan check path
  * Contributors: Florian Polster

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 08 Feb 2017 23:00:00 -0000

ros-kinetic-homer-navigation (0.1.11-0xenial) xenial; urgency=high

  * no debug
  * cool changelogs
  * navigation with dynamic maps
  * Contributors: Lisa
  * navigation with dynamic maps
  * Contributors: Lisa

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 18 Jan 2017 23:00:00 -0000

ros-kinetic-homer-navigation (0.1.10-0xenial) xenial; urgency=high

  * removed not used code
  * added support for not quadratic maps
  * Contributors: Lisa

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 07 Dec 2016 23:00:00 -0000

ros-kinetic-homer-navigation (0.1.9-0xenial) xenial; urgency=high

  * fix bug when first target is unreachable
  * Contributors: Malte Roosen

 -- Florian Polster <fpolster@uni-koblenz.de>  Tue, 22 Nov 2016 23:00:00 -0000

ros-kinetic-homer-navigation (0.1.8-0xenial) xenial; urgency=high

  * Catch error case of obstacleMapDistance=0
  * Contributors: Malte Roosen

 -- Florian Polster <fpolster@uni-koblenz.de>  Sun, 20 Nov 2016 23:00:00 -0000

ros-kinetic-homer-navigation (0.1.7-0xenial) xenial; urgency=high

  * Add a parameter to NavigateToPOI msgs to controll new behaviour (remove config parameter)
  * Introduce parameter to change behaviour after collision avoidance
  * Autoformat homer_navigation_node
  * Contributors: Malte Roosen
  * Introduce parameter to change behaviour after collision avoidance
  * Autoformat homer_navigation_node
  * Contributors: Malte Roosen

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 16 Nov 2016 23:00:00 -0000

ros-kinetic-homer-navigation (0.1.6-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 03 Nov 2016 23:00:00 -0000

ros-kinetic-homer-navigation (0.1.5-0xenial) xenial; urgency=high

  * fixed dependencies
  * Contributors: Niklas Yann Wettengel

 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 03 Nov 2016 23:00:00 -0000

ros-kinetic-homer-navigation (0.1.4-0xenial) xenial; urgency=high

  * fixes
  * updated changelog
  * Contributors: Niklas Yann Wettengel

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 02 Nov 2016 23:00:00 -0000

ros-kinetic-homer-navigation (0.1.3-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 02 Nov 2016 23:00:00 -0000

ros-kinetic-homer-navigation (0.1.2-0xenial) xenial; urgency=high

  * install launch files
  * Contributors: Niklas Yann Wettengel

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 02 Nov 2016 23:00:00 -0000

ros-kinetic-homer-navigation (0.1.1-0xenial) xenial; urgency=high

  * fixes
  * initial commit
  * Contributors: Niklas Yann Wettengel

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 02 Nov 2016 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-homer-navigation
Section: misc
Priority: extra
Maintainer: Florian Polster <fpolster@uni-koblenz.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-kinetic-actionlib, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-homer-mapnav-msgs, ros-kinetic-homer-nav-libs, ros-kinetic-homer-ptu-msgs, ros-kinetic-homer-robbie-architecture, ros-kinetic-homer-tts, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-trajectory-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-homer-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-kinetic-actionlib, ros-kinetic-homer-mapnav-msgs, ros-kinetic-homer-nav-libs, ros-kinetic-homer-ptu-msgs, ros-kinetic-homer-robbie-architecture, ros-kinetic-homer-tts, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-trajectory-msgs
Description: The homer_navigation package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-homer-navigation//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
